View Issue Details

IDProjectCategoryView StatusLast Update
00312542.x IDE BugsRoom EditorPublic2019-08-21 11:38
ReporterMatthew McInnesAssigned ToSteven Campbell 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031254: Room Editor: Switching between rooms can cause "merged" overlapping entries in the Layer Properties gadget
DescriptionISSUE:

- We have received a few tickets now, whereby users are experiencing misaligned text within the layer properties gadget after switching rooms (see attached screenshot)

From the UI.log:

'Caught exception for gadget of type 'window' and style 'window'- Error: The scale to fit option has been selected on a gadget with no parent, try removing the scale to fit option'

EXPECTED:

- The text should not overlap
Steps To Reproduce1. Open project P:\GMS2-Bugs\31254
2. Open room 'roomDef2_HardC'
3. Click on 'InstancesCollision' layer
4. Open room 'roomDef1_BasicB'
5. Click on 'InstancesCollision' layer
6. Switch between the two rooms using the tabs at the top of the workspace
7. Observe issue
TagsNo tags attached.
2.x IDE Found In2.2.3.436
2.x Runtime Found In2.2.3.345
2.x IDE Verified In9.2.1.1948
2.x Runtime Verified In9.9.1.1533

Activities

Matthew McInnes

2019-08-08 16:05

Developer  

Capture.png (64,794 bytes)
Capture.png (64,794 bytes)

Matthew McInnes

2019-08-12 15:18

Developer   ~0064541

100% repro steps have been updated

Steven Campbell

2019-08-19 16:22

Manager   ~0064586

Fixed in Red IDE/GitHub Pull Request 4821
Git Id: 590f284c16619eca3f039330dc604eaced739a6f

Matthew McInnes

2019-08-20 10:38

Developer   ~0064594

Closing. Verified as fixed in:

IDE v9.2.1.1948 Runtime v9.9.1.1533